%bcond_with python_bootstrap

%global pypi_name sphinxcontrib-htmlhelp

Summary:       Sphinx extension for HTML help files
Name:          python-%{pypi_name}
Version:       2.0.3
Release:       1%{?dist}
License:       BSD
URL:           http://sphinx-doc.org/
Source0:       https://github.com/sphinx-doc/%{pypi_name}/archive/refs/tags/%{version}.tar.gz
BuildRequires: gettext python%{python3_pkgversion}-devel python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-pytest python%{python3_pkgversion}-sphinx
BuildRequires: python%{python3_pkgversion}-html5lib

BuildArch:     noarch

%description
sphinxcontrib-htmlhelp is a sphinx extension which renders HTML help files.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        Sphinx extension for HTML help files

%description -n python%{python3_pkgversion}-%{pypi_name}
sphinxcontrib-htmlhelp is a sphinx extension which renders HTML help files.

%prep
%autosetup -n %{pypi_name}-%{version}
find -name '*.mo' -delete

%generate_buildrequires
%pyproject_buildrequires

%build
for po in $(find -name '*.po'); do
  msgfmt --output-file=${po%.po}.mo ${po}
done

%pyproject_wheel

%install
%pyproject_install

pushd %{buildroot}%{python3_sitelib}
for lang in `find sphinxcontrib/htmlhelp/locales -maxdepth 1 -mindepth 1 -type d -not -path '*/\.*' -printf "%f "`;
do
  test $lang == __pycache__ && continue
  install -D sphinxcontrib/htmlhelp/locales/$lang/LC_MESSAGES/*.mo -t %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
done
rm -rf sphinxcontrib/htmlhelp/locales
ln -s %{_datadir}/locale sphinxcontrib/htmlhelp/locales
popd

%find_lang sphinxcontrib.htmlhelp

%check
# just close test when bootstrap build
%if %{without python_bootstrap}
%{__python3} -m pytest
%endif

%files -n python%{python3_pkgversion}-%{pypi_name} -f sphinxcontrib.htmlhelp.lang
%license LICENSE
%doc README.rst
%{python3_sitelib}/sphinxcontrib/
%{python3_sitelib}/sphinxcontrib_htmlhelp*.dist-info

%changelog
* Fri Sep 22 2023 Shuo Wang <abushwang@tencent.com> - 2.0.3-1
- update to 2.0.3

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-6
- Rebuilt for python 3.11

* Tue Sep 12 2023 Shuo Wang <abushwang@tencent.com> - 2.0.0-5
- add python_bootstrap for python update

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 13 2023 Shuo Wang <abushwang@tencent.com> - 2.0.0-1
- initial build
